Subject: Re: Floating point math in kernel interrupt -- am I doing this right?

From: Roger Larsson <[email-masked]>
Date: Mon, 6 Feb 2006 09:41:07 +0100

On söndag 05 februari 2006 20.40, Jeremy Friesner wrote:
> If I disable the saving and restoring of the FPU registers 
> entirely, they don't seem to occur at all (at least within the bounds of my
> testing so far -- 15+ hours).
Is this with full mix?

Then I would really suspect the save/restore code.
Saving and restoring floating point state can be very tricky.
Do try to find an example in the manual (or possibly in the kernel itself - 
context switch code)

Until this works reliably there is no point in looking for other error 
sources.  You could also try to add code inside the save-resore that destroys 
all of the floating point registers to be able to spot errors.

/RogerL